Справочное руководство по MySQL

2.7.1 Установка Perl на Unix

    2.7.1 Установка Perl на Unix

    Поддержка Perl для MySQL обеспечивается средствами клиентского интерфейса DBI/DBD. See section 8.2 Интерфейс Perl API для MySQL. Для клиентского кода Perl DBD/DBI требуется версия Perl 5.004 или выше. При использовании более старой версии Perl данный интерфейс не будет работать.

    Для поддержки Perl в MySQL также требуется, чтобы была установлена программная поддержка клиентов MySQL. Если вы установили MySQL из файлов RPM, то клиентские программы находятся в RPM-пакете MySQL-client, а их программная поддержка - в RPM-пакете MySQL-devel. Убедитесь, что у вас установлена последняя версия RPM.

    С версии 3.22.8 поддержка Perl поставляется отдельно от основного дистрибутива MySQL. Если вы хотите установить поддержку Perl, то необходимые файлы можно получить с http://www.mysql.com/Downloads/Contrib/.

    Дистрибутивы Perl поставляются как сжатые tar-архивы с именами наподобие `MODULE-VERSION.tar.gz', где MODULE - имя модуля и VERSION - номер версии. Необходимо взять дистрибутивы Data-Dumper, DBI и Msql-Mysql-modules и установить их в указанном порядке. Процедура установки приведена ниже. Показанный пример приведен для модуля Data-Dumper, но сама процедура одинакова для всех трех дистрибутивов:

    1. Распакуйте дистрибутив в текущем каталоге:
      shell> gunzip < Data-Dumper-VERSION.tar.gz | tar xvf -
      
      Эта команда создает каталог с именем `Data-Dumper-VERSION'. Перейдите в каталог, куда распаковался дистрибутив:
      shell> cd Data-Dumper-VERSION
      
      Соберите дистрибутив и скомпилируйте:
      shell> perl Makefile.PL
      shell> make
      shell> make test
      shell> make install
      

    Команда make test является важной, поскольку она проверяет, работает ли модуль. Следует учитывать, что если эта команда выполняется во время установки Msql-Mysql-modules для проверки кода интерфейса, то сервер MySQL при этом должен работать, или же данный тест потерпит неудачу.

    Каждый раз при установке нового выпуска MySQL полезно создать заново и переустановить дистрибутив Msql-Mysql-modules, особенно если замечаются такие симптомы, как смерть скриптов DBI после модернизации MySQL (имеется в виду coredump).

    Если вы не обладаете правами установки модулей Perl в системном каталоге или локальных модулей Perl, то для вас окажется полезной следующая ссылка:

    http://www.iserver.com/support/contrib/perl5/modules.html

    Следует смотреть в рубрике Installing New Modules that Require Locally Installed Modules.




Наш баннер
Вы можете установить наш баннер на своем сайте или блоге, скопировав этот код:
RSS новости